Subject: bug#17978: 24.3; forward-paragraph broken with javadocs

From: Justine Tunney <[email-masked]>
Date: Wed, 9 Jul 2014 17:11:19 -0400

I included a video explanation: http://youtu.be/cXerimuxNK8

The same problem I demonstrate in the video, also applies to java-mode.
When you hit C-{ and C-}, rather than go to the next blank line, it'll go
to @tags in javadocs.

On Wed, Jul 9, 2014 at 3:26 PM, Stefan Monnier <[email-masked]>
wrote:

> > The default emacs behavior for the forward-paragraph and
> > backward-paragraph functions is to hop between blank lines in a source
> > code file. This breaks in java-mode in the presence of javadoc @clauses.
>
> In which sense does it "break"?  Can you show some example code and the
> behavior you expect compared to the behavior you get?
>
>
>         Stefan
>